All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata
Class StructureOfData

    com.sas.iquery.metadata.StructureOfData

All Implemented Interfaces:
  java.io.Serializable

    public class StructureOfData

implements java.io.Serializable

Contains information about the structure of data that can be queried. Note that this class does no enforcement of mutual exclusion of values.

See Also:
  Serialized Form

Constructor Summary
`StructureOfData()`

Method Summary
`static StructureOfData` | `getStructure(java.util.List list)` Returns a union of all the structure types of the objects within the given list
`static StructureOfData` | `getStructure(java.lang.Object obj)` Returns the structure of the specified object
`boolean` | `isOLAP()` Whether this is OLAp
`boolean` | `isRelational()` Whether this is relational
`boolean` | `isTabular()` Whether this is tabular
`void` | `setIsOLAP(boolean isOLAP)` Set the OLAP flag on this object
`void` | `setIsRelational(boolean isRelational)` Set the relational flag on this object
`void` | `setIsTabular(boolean isTable)` Set the tabular flag on this object
`java.lang.String` | `toValueString()`
`static StructureOfData` | `valueOf(java.lang.String string)`

Constructor Detail

### StructureOfData

    public StructureOfData()

Method Detail

### toValueString

    public java.lang.String toValueString()

### valueOf

    public static StructureOfData valueOf(java.lang.String string)

### getStructure

    public static StructureOfData getStructure(java.lang.Object obj)

  Returns the structure of the specified object

  Parameters:
    `obj` - Object whose structure is to be determined
  Returns:
    the structure of the specified object

### getStructure

    public static StructureOfData getStructure(java.util.List list)

  Returns a union of all the structure types of the objects within the given list

  Parameters:
    `list` - List of objects whose structures are to be determined
  Returns:
    StructureOfData which is a union of type of objects in the given list

### isRelational

    public boolean isRelational()

  Whether this is relational

  Returns:
    true if relational, false otherwise

### setIsRelational

    public void setIsRelational(boolean isRelational)

  Set the relational flag on this object

  Parameters:
    `isRelational` - boolean specifying whether this object is relational

### isOLAP

    public boolean isOLAP()

  Whether this is OLAp

  Returns:
    true if OLAP, false otherwise

### setIsOLAP

    public void setIsOLAP(boolean isOLAP)

  Set the OLAP flag on this object

  Parameters:
    `isOLAP` - boolean specifying whether this object is OLAP

### isTabular

    public boolean isTabular()

  Whether this is tabular

  Returns:
    true if tabular, false otherwise

### setIsTabular

    public void setIsTabular(boolean isTable)

  Set the tabular flag on this object

  Parameters:
    `isTable` - boolean specifying whether this object is tabular

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.